View Issue Details

IDProjectCategoryView StatusLast Update
0005913libeufincommand-line toolspublic2019-10-03 17:53
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PriorityhighSeverityfeatureReproducibilityN/A
Status resolvedResolutionreopened 
Summary0005913: implement command line tool in Python to access sandbox APIs
DescriptionThe tool should be written in Python, as the JVM has unacceptable startup performance for CLI tools.

In particular, we shall:
* use click (https://click.palletsprojects.com/) to implement the command line interface
* have git-style subcommands for each sub-task

Basically every API endpoint should be covered by one CLI command.
TagsNo tags attached.

Activities

Marcello Stanisci

2019-10-02 16:01

manager   ~0014971

The tool is now usable, it is found under "libeufin.git/src/main/python/libeufin-cli".

bffb1419c23708dd9fd4

Marcello Stanisci

2019-10-02 16:02

manager   ~0014972

Setting as 'feedback' in case of suggestions, otherwise shall be closed.

Marcello Stanisci

2019-10-03 17:52

manager   ~0014975

closing after removing the mock (d025bc5b1ee362a1527..)

Issue History

Date Modified Username Field Change
2019-09-30 08:26 Florian Dold New Issue
2019-09-30 08:26 Florian Dold Status new => assigned
2019-09-30 08:26 Florian Dold Assigned To => Marcello Stanisci
2019-10-02 16:01 Marcello Stanisci Status assigned => resolved
2019-10-02 16:01 Marcello Stanisci Resolution open => fixed
2019-10-02 16:01 Marcello Stanisci Note Added: 0014971
2019-10-02 16:02 Marcello Stanisci Status resolved => feedback
2019-10-02 16:02 Marcello Stanisci Resolution fixed => reopened
2019-10-02 16:02 Marcello Stanisci Note Added: 0014972
2019-10-03 17:52 Marcello Stanisci Note Added: 0014975
2019-10-03 17:53 Marcello Stanisci Status feedback => resolved